org.cpsolver.studentsct.model

## Class FreeTimeRequest.FreeTimeRequestContext

- java.lang.Object
- - org.cpsolver.studentsct.model.Request.RequestContext
  - - org.cpsolver.studentsct.model.FreeTimeRequest.FreeTimeRequestContext

- All Implemented Interfaces:
    AssignmentContext
  Enclosing class:
    FreeTimeRequest

      public class FreeTimeRequest.FreeTimeRequestContext
      extends Request.RequestContext

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FreeTimeRequestContext(Assignment<Request,Enrollment> assignment)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `assigned(Assignment<Request,Enrollment> assignment, Enrollment enrollment)` Enrollment with this assignment was assigned to a `Request`.
    `Set<Enrollment>` | `getEnrollments()` Return the list of assigned enrollments that contains this assignment.
    `void` | `unassigned(Assignment<Request,Enrollment> assignment, Enrollment enrollment)` Enrollment with this assignment was unassigned from a `Request`.

    - ### Methods inherited from class org.cpsolver.studentsct.model.Request.RequestContext

      `getLastWeight, setLastWeight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FreeTimeRequestContext

          public FreeTimeRequestContext(Assignment<Request,Enrollment> assignment)

  - ### Method Detail

    - #### assigned

          public void assigned(Assignment<Request,Enrollment> assignment,
                               Enrollment enrollment)

      Enrollment with this assignment was assigned to a `Request`.
      Parameters:
        `assignment` - current assignment
        `enrollment` - assigned enrollment

    - #### unassigned

          public void unassigned(Assignment<Request,Enrollment> assignment,
                                 Enrollment enrollment)

      Enrollment with this assignment was unassigned from a `Request`.
      Parameters:
        `assignment` - current assignment
        `enrollment` - unassigned enrollment

    - #### getEnrollments

          public Set<Enrollment> getEnrollments()

      Return the list of assigned enrollments that contains this assignment.
      Returns:
        current enrollments